openSUSE Security Update : quagga (openSUSE-SU-2010:0984-1)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This update of quagga fixes two security issues :

- CVE-2010-2948: CVSS v2 Base Score: 6.5 (MEDIUM)
(AV:N/AC:L/Au:S/C:P/I:P/A:P) Stack-based buffer overflow
while processing malformed Route-Refresh messages.

- CVE-2010-2949: CVSS v2 Base Score: 5.0 (MEDIUM)
(AV:N/AC:L/Au:N/C:N/I:N/A:P) Denial of service while
processing malformed BGP update AS path messages

See also :

http://lists.opensuse.org/opensuse-updates/2010-11/msg00037.html
https://bugzilla.novell.com/show_bug.cgi?id=634300

Solution :

Update the affected quagga packages.

Risk factor :

Medium / CVSS Base Score : 6.5
(CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 75721 ()

Bugtraq ID:

CVE ID: CVE-2010-2948
CVE-2010-2949

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now